libosmo-sigtran 2.1.0.194-89e3 Osmocom SIGTRAN library

Data Structures | Macros | Enumerations | Functions
ss7_instance.h File Reference
`#include <stdint.h>`
`#include <stdbool.h>`
`#include <osmocom/core/linuxlist.h>`
`#include <osmocom/core/rate_ctr.h>`
`#include <osmocom/sigtran/protocol/mtp.h>`

Go to the source code of this file.

## Data Structures
struct | osmo_ss7_pc_fmt
struct | osmo_ss7_instance

## Macros
#define | _LOGSS7(inst, subsys, level, fmt, args ...) LOGP(subsys, level, "%u: " fmt, inst ? (inst)->cfg.id : 0, ## args)
#define | LOGSS7(inst, level, fmt, args ...) _LOGSS7(inst, DLSS7, level, fmt, ## args)

## Enumerations
enum | ss7_instance_ctr { SS7_INST_CTR_PKT_RX_TOTAL , SS7_INST_CTR_PKT_RX_UNKNOWN , SS7_INST_CTR_PKT_RX_NI_MISMATCH , SS7_INST_CTR_PKT_TX_TOTAL }

## Functions
struct osmo_ss7_instance * | ss7_instance_alloc (void *ctx, uint32_t id)
uint32_t | ss7_find_free_l_rk_id (struct osmo_ss7_instance *inst)
struct osmo_ss7_route * | ss7_instance_lookup_route (struct osmo_ss7_instance *inst, const struct osmo_ss7_route_label *rtlabel)
| Find a SS7 route for given destination point code in given SS7. More...

## Macro Definition Documentation

## ◆ _LOGSS7

#define _LOGSS7 | ( |  | inst,
|  |  | subsys,
|  |  | level,
|  |  | fmt,
|  |  | args ...
| ) |  | LOGP(subsys, level, "%u: " fmt, inst ? (inst)->cfg.id : 0, ## args)

## ◆ LOGSS7

#define LOGSS7 | ( |  | inst,
|  |  | level,
|  |  | fmt,
|  |  | args ...
| ) |  | _LOGSS7(inst, DLSS7, level, fmt, ## args)

## Enumeration Type Documentation

## ◆ ss7_instance_ctr

enum ss7_instance_ctr

Enumerator
SS7_INST_CTR_PKT_RX_TOTAL |
SS7_INST_CTR_PKT_RX_UNKNOWN |
SS7_INST_CTR_PKT_RX_NI_MISMATCH |
SS7_INST_CTR_PKT_TX_TOTAL |

## Function Documentation

## ◆ ss7_find_free_l_rk_id()

uint32_t ss7_find_free_l_rk_id | ( | struct osmo_ss7_instance * | inst | ) |

References next_l_rk_id, and osmo_ss7_as_find_by_l_rk_id().

Referenced by ss7_as_alloc().

## ◆ ss7_instance_alloc()

struct osmo_ss7_instance * ss7_instance_alloc | ( | void * | ctx,
|  | uint32_t | id
| ) |  |

References osmo_ss7_instance::as_list, osmo_ss7_instance::asp_list, osmo_ss7_instance::cfg, osmo_ss7_pc_fmt::component_len, osmo_ss7_instance::ctrg, osmo_ss7_pc_fmt::delimiter, osmo_ss7_instance::id, osmo_ss7_instance::linksets, osmo_ss7_instance::list, LOGSS7, NULL, osmo_ss7_instances, OSMO_SS7_PC_INVALID, osmo_ss7_instance::pc_fmt, osmo_ss7_instance::primary_pc, osmo_ss7_instance::rtable_list, osmo_ss7_instance::rtable_system, osmo_ss7_instance::sccp_address_book, osmo_ss7_instance::secondary_pc, ss7_inst_rcgd, ss7_route_table_find_or_create(), and osmo_ss7_instance::xua_servers.

Referenced by osmo_ss7_instance_find_or_create().

## ◆ ss7_instance_lookup_route()

struct osmo_ss7_route * ss7_instance_lookup_route | ( | struct osmo_ss7_instance * | inst,
|  | const struct osmo_ss7_route_label * | rtlabel
| ) |  |

Find a SS7 route for given destination point code in given SS7.

References osmo_ss7_instance::rtable_system, ss7_initialized, and ss7_route_table_lookup_route().

Referenced by DEFUN(), gen_mtp_transfer_req_xua(), hmrt_message_for_routing(), and osmo_ss7_route_lookup().